Name:		pam_ussh
Version:	1.0.1
Release:	1%{?dist}
Summary:	Uber's ssh certificate pam module

Group:		System Environment/Base
License:	MIT
URL:		https://github.com/uber/pam-ussh
Source0:	pam-ussh-%{version}.tar.bz2

BuildRequires:	pam-devel
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
BuildRequires:	golang(golang.org/x/crypto/ssh)
BuildRequires:	golang(golang.org/x/crypto/ssh/agent)
BuildRequires:	golang(github.com/stretchr/testify/require)

%description
This is a pam module that will authenticate a user based on them having an
ssh certificate in their ssh-agent signed by a specified ssh CA.

This is primarily intended as an authentication module for sudo. 

%prep
%setup -q -n pam-ussh-%{version}
sed -i -e 's|IsUserAuthority|IsAuthority|' ./pam_ussh.go

%build
export GOPATH=$PWD/.go:%{gopath}
go build -buildmode=c-shared -o %{name}.so

%install
mkdir -p %{buildroot}/%{_lib}/security
install -m 0755 %{name}.so %{buildroot}/%{_lib}/security

%check
export GOPATH=$PWD/.go:%{gopath}
go test -cover

%files
%doc LICENSE README.md
/%{_lib}/security/%{name}.so

%changelog
* Mon Jan 15 2018 Josko Plazonic <plazonic@princeton.edu>
- initial build
